Get workspace users

Retrieve a paginated list of users in the current workspace.

This endpoint allows you to:

  • List all users in the workspace
  • Paginate through large user lists

Use cases:

  • Displaying team members in UI
  • Managing workspace membership
  • Auditing user access
GET
/api/v1/workspaces/users
AuthorizationBearer <token>

The API will use the Authorization: Bearer <your-key> header for requests.

In: header

Query Parameters

limit?integer

The number of items to return per page.

Range1 <= value <= 100
offset?integer

The number of items to skip before starting to collect the result set.

Range0 <= value <= 9007199254740991

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://api.excalidraw.com/api/v1/workspaces/users"
{
  "limit": 0,
  "offset": 0,
  "hasNextPage": true,
  "data": [
    {
      "isInitialized": true,
      "created": "2019-08-24T14:15:22Z",
      "uid": "string",
      "id": "string",
      "picture": "http://example.com",
      "email": "user@example.com",
      "name": "string",
      "updated": "2019-08-24T14:15:22Z",
      "workspaceTeams": {
        "property1": [
          "string"
        ],
        "property2": [
          "string"
        ]
      },
      "subscriptionStatus": "string",
      "lastActive": "2019-08-24T14:15:22Z",
      "lastActiveRefreshedAt": "2019-08-24T14:15:22Z",
      "preferences": {
        "ossAutoRedirect": true,
        "sceneOrder": "manual",
        "initialRedirect": "dashboard",
        "hideDeprecatedFonts": true,
        "enableAutoSceneNamingForPrivateCollections": true,
        "blockCommentEmailNotifications": true
      },
      "lastVisitedScenes": [
        "string"
      ],
      "lastEditedScenes": [
        "string"
      ],
      "rateLimits": {
        "textToDiagram": {
          "property1": {
            "lastUsed": 0,
            "firstUsed": 0,
            "count": 0
          },
          "property2": {
            "lastUsed": 0,
            "firstUsed": 0,
            "count": 0
          }
        },
        "diagramToCode": {
          "property1": {
            "lastUsed": 0,
            "firstUsed": 0,
            "count": 0
          },
          "property2": {
            "lastUsed": 0,
            "firstUsed": 0,
            "count": 0
          }
        },
        "nameScene": {
          "property1": {
            "lastUsed": 0,
            "firstUsed": 0,
            "count": 0
          },
          "property2": {
            "lastUsed": 0,
            "firstUsed": 0,
            "count": 0
          }
        }
      },
      "libraryVersion": 0
    }
  ]
}
{
  "statusCode": 400,
  "error": "Bad Request",
  "message": "string"
}
{
  "statusCode": 401,
  "error": "Unauthorized",
  "message": "string"
}
{
  "statusCode": 403,
  "error": "Forbidden",
  "message": "string"
}